import sys
import csv
import random
from datetime import datetime
import os
import grok
from grok import index
from hurry.query.query import Query, Text
from hurry.query import Eq
from app import University
from students.interfaces import IStudent
from students.student import Student

class StudentIndexes(grok.Indexes):
     grok.site(University)
     grok.name('students_catalog')
     grok.context(IStudent)

     name = index.Field(attribute='name')


class StudentSearch(grok.View):
    grok.context(University)

    def update(self, query=None):
        self.search_result = []
        if query is not None:
            self.search_result = self.search_context(query)
            print "RESULT: ", list(self.search_result)

    def search_context(self, query):
        result = Query().searchResults(
            Eq(('students_catalog', 'name'), query)
            )
        return result
    
